> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1consumers review on store



## OpenAPI

````yaml https://reputation-ms.supergasbras.app/swagger/v1/swagger.json put /v1/consumers/{consumerId}/review-on-store
openapi: 3.0.1
info:
  title: Reputation API
  description: Developed by C-Tech Team
  version: 0.0.1
servers: []
security:
  - Bearer: []
paths:
  /v1/consumers/{consumerId}/review-on-store:
    put:
      tags:
        - Consumers
      parameters:
        - name: consumerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: deviceId
          in: header
          schema:
            type: string
        - name: platform
          in: header
          schema:
            type: string
        - name: appVersion
          in: header
          schema:
            type: string
        - name: deviceModel
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ReviewRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ReviewRequest'
      responses:
        '201':
          description: Created
        '500':
          description: Server Error
components:
  schemas:
    ReviewRequest:
      type: object
      properties:
        isEnjoying:
          type: boolean
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Insira o seu token JWT neste formato: Bearer <accessToken>'
      name: Authorization
      in: header

````